org.apache.storm.hive.common

## Class HiveOptions

- java.lang.Object
- - org.apache.storm.hive.common.HiveOptions

- All Implemented Interfaces:
    Serializable

      public class HiveOptions
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `autoCreatePartitions`
    `protected Integer` | `batchSize`
    `protected Integer` | `callTimeout`
    `protected String` | `databaseName`
    `static int` | `DEFAULT_TICK_TUPLE_INTERVAL_SECS` Half of the default Config.TOPOLOGY_MESSAGE_TIMEOUT_SECS
    `protected Integer` | `heartBeatInterval`
    `protected Integer` | `idleTimeout`
    `protected String` | `kerberosKeytab`
    `protected String` | `kerberosPrincipal`
    `protected HiveMapper` | `mapper`
    `protected Integer` | `maxOpenConnections`
    `protected String` | `metaStoreURI`
    `protected String` | `tableName`
    `protected Integer` | `tickTupleInterval`
    `protected Integer` | `txnsPerBatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HiveOptions(String metaStoreUri, String databaseName, String tableName, HiveMapper mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAutoCreatePartitions()`
    `Integer` | `getBatchSize()`
    `Integer` | `getCallTimeOut()`
    `String` | `getDatabaseName()`
    `Integer` | `getHeartBeatInterval()`
    `Integer` | `getIdleTimeout()`
    `String` | `getKerberosKeytab()`
    `String` | `getKerberosPrincipal()`
    `HiveMapper` | `getMapper()`
    `Integer` | `getMaxOpenConnections()`
    `String` | `getMetaStoreURI()`
    `String` | `getTableName()`
    `Integer` | `getTickTupleInterval()`
    `Integer` | `getTxnsPerBatch()`
    `HiveOptions` | `withAutoCreatePartitions(Boolean autoCreatePartitions)`
    `HiveOptions` | `withBatchSize(Integer batchSize)`
    `HiveOptions` | `withCallTimeout(Integer callTimeout)`
    `HiveOptions` | `withHeartBeatInterval(Integer heartBeatInterval)`
    `HiveOptions` | `withIdleTimeout(Integer idleTimeout)`
    `HiveOptions` | `withKerberosKeytab(String kerberosKeytab)`
    `HiveOptions` | `withKerberosPrincipal(String kerberosPrincipal)`
    `HiveOptions` | `withMaxOpenConnections(Integer maxOpenConnections)`
    `HiveOptions` | `withTickTupleInterval(Integer tickInterval)`
    `HiveOptions` | `withTxnsPerBatch(Integer txnsPerBatch)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TICK_TUPLE_INTERVAL_SECS

          public static final int DEFAULT_TICK_TUPLE_INTERVAL_SECS

      Half of the default Config.TOPOLOGY_MESSAGE_TIMEOUT_SECS

      See Also:
        Constant Field Values

    - #### mapper

          protected HiveMapper mapper

    - #### databaseName

          protected String databaseName

    - #### tableName

          protected String tableName

    - #### metaStoreURI

          protected String metaStoreURI

    - #### txnsPerBatch

          protected Integer txnsPerBatch

    - #### maxOpenConnections

          protected Integer maxOpenConnections

    - #### batchSize

          protected Integer batchSize

    - #### idleTimeout

          protected Integer idleTimeout

    - #### callTimeout

          protected Integer callTimeout

    - #### heartBeatInterval

          protected Integer heartBeatInterval

    - #### autoCreatePartitions

          protected Boolean autoCreatePartitions

    - #### kerberosPrincipal

          protected String kerberosPrincipal

    - #### kerberosKeytab

          protected String kerberosKeytab

    - #### tickTupleInterval

          protected Integer tickTupleInterval

  - ### Constructor Detail

    - #### HiveOptions

          public HiveOptions(String metaStoreUri,
                             String databaseName,
                             String tableName,
                             HiveMapper mapper)

  - ### Method Detail

    - #### withTickTupleInterval

          public HiveOptions withTickTupleInterval(Integer tickInterval)

    - #### withTxnsPerBatch

          public HiveOptions withTxnsPerBatch(Integer txnsPerBatch)

    - #### withMaxOpenConnections

          public HiveOptions withMaxOpenConnections(Integer maxOpenConnections)

    - #### withBatchSize

          public HiveOptions withBatchSize(Integer batchSize)

    - #### withIdleTimeout

          public HiveOptions withIdleTimeout(Integer idleTimeout)

    - #### withCallTimeout

          public HiveOptions withCallTimeout(Integer callTimeout)

    - #### withHeartBeatInterval

          public HiveOptions withHeartBeatInterval(Integer heartBeatInterval)

    - #### withAutoCreatePartitions

          public HiveOptions withAutoCreatePartitions(Boolean autoCreatePartitions)

    - #### withKerberosKeytab

          public HiveOptions withKerberosKeytab(String kerberosKeytab)

    - #### withKerberosPrincipal

          public HiveOptions withKerberosPrincipal(String kerberosPrincipal)

    - #### getMetaStoreURI

          public String getMetaStoreURI()

    - #### getDatabaseName

          public String getDatabaseName()

    - #### getTableName

          public String getTableName()

    - #### getMapper

          public HiveMapper getMapper()

    - #### getBatchSize

          public Integer getBatchSize()

    - #### getCallTimeOut

          public Integer getCallTimeOut()

    - #### getHeartBeatInterval

          public Integer getHeartBeatInterval()

    - #### getMaxOpenConnections

          public Integer getMaxOpenConnections()

    - #### getIdleTimeout

          public Integer getIdleTimeout()

    - #### getTxnsPerBatch

          public Integer getTxnsPerBatch()

    - #### getAutoCreatePartitions

          public Boolean getAutoCreatePartitions()

    - #### getKerberosPrincipal

          public String getKerberosPrincipal()

    - #### getKerberosKeytab

          public String getKerberosKeytab()

    - #### getTickTupleInterval

          public Integer getTickTupleInterval()

Copyright © 2021 The Apache Software Foundation. All rights reserved.